%define __libtoolize    /bin/true
%define lib64openmpt lib64openmpt0
%define lib64openmpt_modplug lib64openmpt_modplug1
%define lib64openmpt_modplug_version 0.8.9.0

Name:           lib64openmpt
Version:        0.5.4
Release:        %mkrel 1
Summary:        C++ and C library to decode tracker music files
License:        BSD-3-Clause
Group:          System/Libraries
URL:            https://lib.openmpt.org/libopenmpt/
Source:         libopenmpt-%{version}+release.autotools.tar.xz
 
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  lib64alsa2-devel
BuildRequires:  perl-devel
BuildRequires:  lib64flac8-devel
BuildRequires:  lib64flac++6-devel
BuildRequires:  lib64mpg123-devel
BuildRequires:  lib64pulseaudio-devel
BuildRequires:  lib64portaudio-devel
BuildRequires:  lib64sdl2.0-devel
BuildRequires:  lib64sndfile-devel
BuildRequires:  lib64vorbis0-devel
BuildRequires:  lib64oggz-devel
BuildRequires:	lib64ogg-devel
BuildRequires:  zlib1-devel

%description
libopenmpt is a C++ and C library to decode tracker music files
(modules) into a PCM audio stream. It is based on the player code of
the OpenMPT project, a descendant of the original ModPlug Tracker.

%package -n %{lib64openmpt}
Summary:        Library to operate with module formats using the openmpt API
Group:          System/Libraries

%description -n %{lib64openmpt}
libopenmpt is a C++ and C library to decode tracker music files
(modules) into a PCM audio stream. It is based on the player code of
the OpenMPT project, a descendant of the original ModPlug Tracker.

%package devel
Summary:        Development files for libopenmpt
Group:          Development/Libraries
Requires:       %{lib64openmpt} = %{version}

%description devel
This package contains the development files required to compile programs
using %{name}.

%package -n openmpt123
Summary:        Command line module player
Group:          Sound

%description -n openmpt123
This package contains the openmpt123 command-line module player.

%prep
%setup -q -n libopenmpt-%{version}+release.autotools
# disable werror
sed -i -e 's:-Werror ::g' configure.ac
# fix encoding
dos2unix LICENSE README.md

%build
autoreconf -fvi
# doxygen docu is better on their website, no need to ship it
# docdir points to devel as it is installing the devel examples

%configure2_5x \
    --docdir=%{_docdir}/%{name}-devel \
    --disable-static \
    --disable-silent-rules \
    --disable-doxygen-doc \
    --with-zlib \
    --with-mpg123 \
    --with-ogg \
    --with-vorbis \
    --with-vorbisfile \
    --with-pulseaudio \
    --with-sndfile \
    --with-flac \
    --with-portaudio \
    --with-sdl2
    
%make

%install
rm -rf %buildroot
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lib64openmpt}
/sbin/ldconfig

%postun -n %{lib64openmpt}
/sbin/ldconfig

%files -n openmpt123
%{_bindir}/openmpt123
%{_mandir}/man1/*

%files devel
%dir %{_docdir}/%{name}-devel/
%{_docdir}/%{name}-devel/*
%dir %{_includedir}/libopenmpt/
%{_includedir}/libopenmpt/libopenmpt.h
%{_includedir}/libopenmpt/libopenmpt.hpp
%{_includedir}/libopenmpt/libopenmpt_config.h
%{_includedir}/libopenmpt/libopenmpt_ext.hpp
%{_includedir}/libopenmpt/libopenmpt_stream_callbacks_fd.h
%{_includedir}/libopenmpt/libopenmpt_stream_callbacks_file.h
%{_includedir}/libopenmpt/libopenmpt_version.h
%{_includedir}/libopenmpt/libopenmpt_ext.h
%{_includedir}/libopenmpt/libopenmpt_stream_callbacks_buffer.h
%{_libdir}/libopenmpt.so
%{_libdir}/pkgconfig/libopenmpt.pc

%files -n %{lib64openmpt}
%{_libdir}/libopenmpt.so.*

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/libopenmpt-%{version}+release.autotools

%changelog
* Mon Dec 28 2020 Agent Smith  <ruidobranco@yahoo.com.br> libopenmpt-0.5.4-1pclos2021
- Created the package libopenmpt, with latest sources.
